---
title: "FAQ | The no-JS.club"
date: "2022-04-26T13:03:54+02:00"
draft: false
---

## no-JS Club FAQ

The following information should help you answer any unanswered questions about joining the no-JS club.

If you need more information, do not hesitate to create a [ticket](https://todo.sr.ht/~hmbrg/no-JS.club). We will respond to your request A.S.A.P.

{{< detail-tag "Terms and conditions" >}}
### Your website has to be
- **SFW**
- **accessible via HTTPS**

### No-go content
- **JavaScript**
- **pornography/sexism**
- **fanaticism/racism**
- **illegal or inappropriate**

### Final decision authority
- We reserve the **right to reject websites** that we consider inappropriate for any reason!
- **This right can also be claimed subsequently** if the content develops in a direction that we consider inappropriate. Before we remove a website, we contact the operator.
{{< /detail-tag >}}

{{< detail-tag "How to join the no-JS club?" >}}
### Instructions
<p>If you're interested in getting your site added to the no-JS club, all you need to do is to follow this step-by-step guide:</p>

1. 🤞 Use [GTMetrix](https://gtmetrix.com) to analyse your website 🤞

2. Once complete, click on **"Waterfall"** and note 📝 the uncompressed size of transfered data

![Accepted domain - All tab GTmetrix analyse result](/assets/no-js/accepted_gtmetrix_waterfall_all.webp)

3. Next click on the **"JS"** tab to make sure your homepage doesn't contain JS code

4. 🙌  Example Result Where No JavaScript Detected 🙌

![Accepted domain - JS tab GTmetrix analyse result](/assets/no-js/accepted_gtmetrix_waterfall_js.webp)

5. 😞 Example Result Where JavaScript Was Detected! 😞

![Denied domain - JS tab GTmetrix analyse result](/assets/no-js/denied_gtmetrix_waterfall_js.webp)

6. If your website satisfies the requirement, [submit a ticket 🎫 on sourcehut](https://todo.sr.ht/~hmbrg/no-JS.club)

#### Example Of A Filled Ticket
![sourcehut membership request ticket](/assets/no-js/membership-request-ticket.webp)

7. Once your request is approved, the domain will be added to the member list below

Note: I reserve the right to not add sites based on whether I think they're suitable to be added or not

[Example ticket showcasing an accepted request 🙌](https://todo.sr.ht/~hmbrg/no-JS.club/1)

[Example ticket showcasing a denied request 😢](https://todo.sr.ht/~hmbrg/no-JS.club/2)
{{< /detail-tag >}}

{{< detail-tag "Is there any way I can show that I am a no-JS club member?" >}}
### Available badges

Yes, **if your website is qualified and included in our list**, you are entitled to use one of the following badges:

**Bright badge which fits darker website layouts:**

[![This website is a proud member of the no-JS.club](https://no-js.club/images/no-JS.club_badge_bright.svg)](https://no-js.club)

**Dark badge which fits brighter website layouts:**

[![This website is a proud member of the no-JS.club](https://no-js.club/images/no-JS.club_badge_dark.svg)](https://no-js.club)

### How to integrate badges

**HTML code snippet for bright badge:**

`<a href="https://no-js.club/"><img alt="no-JS club" src="https://no-js.club/images/no-JS.club_badge_bright.svg">`

**HTML code snippet for dark badge:**

`<a href="https://no-js.club/"><img alt="no-JS club" src="https://no-js.club/images/no-JS.club_badge_dark.svg">`

**Markdown code snippets for bright badge:**

`[![This website is a proud member of the no-JS.club](https://no-js.club/images/no-JS.club_badge_bright.svg)](https://no-js.club)`

**Markdown code snippets for dark badge:**

`[![This website is a proud member of the no-JS.club](https://no-js.club/images/no-JS.club_badge_dark.svg)](https://no-js.club)`

### How to change badge size

Below you see some **HTML** and **Markdown** solutions for changing the size of the badge.

#### HTML solution

To proportionally change the badge size you either add the **width** or **height** parameter to the HTML snippet. The browser will automatically calculate the size of the other edge.

**Example using the "height" parameter:**

`<a href="https://no-js.club"><img src="https://no-js.club/images/no-JS.club_badge_bright.svg" height="120px" /></a>`

**Example using the "width" parameter:**

`<a href="https://no-js.club"><img src="https://no-js.club/images/no-JS.club_badge_dark.svg" width="200px" /></a>`

#### Markdown solution

Download the badge of your choice and open it with a text editor.

**Lines five and six** contain the dimensions in millimeters, which **can be adjusted to your liking.**

`width="31.75940125mm"`

`height="27.790841875mm"`

Upload the updated badge file to you web space and change the Markdown integration snippet respectively.
{{< /detail-tag >}}

{{< detail-tag "Will membership cost me anything?" >}}
### The cost of membership
Good you asked! While you were reading through the FAQ, I was thinking about how to gently teach you that **membership won't bankrupt you** but, aside from the hassle of submitting an application by [ticket](https://todo.sr.ht/~hmbrg/no-JS.club) and waiting for it to be approved, **absolutely doesn't cost a dime!**.
{{< /detail-tag >}}
